cloudstack-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From h...@apache.org
Subject [3/3] git commit: updated refs/heads/master to 1ad1883
Date Mon, 14 Jul 2014 13:53:42 GMT
Add virtualbox support to cloud-early-config so we can use virtualbox for testing


Project: http://git-wip-us.apache.org/repos/asf/cloudstack/repo
Commit: http://git-wip-us.apache.org/repos/asf/cloudstack/commit/1ad1883b
Tree: http://git-wip-us.apache.org/repos/asf/cloudstack/tree/1ad1883b
Diff: http://git-wip-us.apache.org/repos/asf/cloudstack/diff/1ad1883b

Branch: refs/heads/master
Commit: 1ad1883b74962cd6b6341fead3256e12b105f1c6
Parents: c127679
Author: Hugo Trippaers <htrippaers@schubergphilis.com>
Authored: Fri Jul 11 17:49:51 2014 +0200
Committer: Hugo Trippaers <htrippaers@schubergphilis.com>
Committed: Mon Jul 14 15:34:14 2014 +0200

----------------------------------------------------------------------
 .../patches/debian/config/etc/init.d/cloud-early-config     | 9 +++++++++
 1 file changed, 9 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cloudstack/blob/1ad1883b/systemvm/patches/debian/config/etc/init.d/cloud-early-config
----------------------------------------------------------------------
diff --git a/systemvm/patches/debian/config/etc/init.d/cloud-early-config b/systemvm/patches/debian/config/etc/init.d/cloud-early-config
index bbf1998..f36d8cb 100755
--- a/systemvm/patches/debian/config/etc/init.d/cloud-early-config
+++ b/systemvm/patches/debian/config/etc/init.d/cloud-early-config
@@ -140,6 +140,15 @@ get_boot_params() {
           cp -f /var/opt/hyperv/.kvp_pool_0 /var/cache/cloud/cmdline
           cat /dev/null > /var/opt/hyperv/.kvp_pool_0
           ;;
+     virtualbox)
+          # Virtualbox is used to test the virtual router
+          # get the commandline from a dmistring  (yes, hacky!)
+          dmidecode | grep cmdline | sed 's/^.*cmdline://' > /var/cache/cloud/cmdline
+          RV=$?
+          if [ $RV -ne 0 ] ; then
+            log_it "Failed to get cmdline from a virtualbox dmi property"
+          fi
+          ;;
   esac
 
 }


Mime
View raw message